Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.basic
Class BasicErrorPaneUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.PanelUI
              org.jdesktop.swingx.plaf.ErrorPaneUI
                  org.jdesktop.swingx.plaf.basic.BasicErrorPaneUI

Direct Known Subclasses:
  MacOSXErrorPaneUI

    public class BasicErrorPaneUI

extends ErrorPaneUI

Base implementation of the `JXErrorPane` UI.

Author:
  rbair, rah003

Field Summary
`protected static java.lang.String` | `CLASS_NAME` Used as a prefix when pulling data out of UIManager for i18n
`protected javax.swing.JButton` | `closeButton` ok/close button
`protected javax.swing.JButton` | `copyToClipboardButton`
`protected java.awt.event.ActionListener` | `copyToClipboardListener` Action listener for the copy to clipboard button.
`protected javax.swing.AbstractButton` | `detailButton` detail button
`protected java.awt.event.ActionListener` | `detailListener` Action listener for the detail button.
`protected JXEditorPane` | `details` details text area
`protected javax.swing.JPanel` | `detailsPanel` details panel
`protected javax.swing.JScrollPane` | `detailsScrollPane`
`protected javax.swing.JEditorPane` | `errorMessage` Error message text area
`protected java.beans.PropertyChangeListener` | `errorPaneListener` Property change listener for the error pane ensures that the pane's UI is reinitialized.
`protected javax.swing.JScrollPane` | `errorScrollPane` Error message text scroll pane wrapper.
`protected javax.swing.JLabel` | `iconLabel` label used to display the warning/error icon
`protected JXErrorPane` | `pane` The error pane this UI is for
`protected javax.swing.AbstractButton` | `reportButton` report an error button

Constructor Summary
`BasicErrorPaneUI()`

Method Summary
`java.awt.Dimension` | `calculatePreferredSize()` Calculates default prefered size for JXErrorPane on given platform/LAF.
`protected void` | `configureDetailsButton(boolean expanded)`
`protected void` | `configureReportAction(AbstractActionExt reportAction)`
`protected java.awt.LayoutManager` | `createDetailPanelLayout()`
`protected java.awt.LayoutManager` | `createErrorPaneLayout()` Create and return the LayoutManager to use with the error pane.
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent c)`
`protected javax.swing.Icon` | `getDefaultErrorIcon()`
`protected javax.swing.Icon` | `getDefaultWarningIcon()`
`protected java.lang.String` | `getDetailsAsHTML(ErrorInfo errorInfo)` Creates and returns HTML representing the details of this incident info.
`protected int` | `getDetailsHeight()`
`javax.swing.JDialog` | `getErrorDialog(java.awt.Component owner)` Creates new ErrorPane wrapped in the dialog window centered at provided owner component.
`javax.swing.JFrame` | `getErrorFrame(java.awt.Component owner)` Creates new ErrorPane wrapped in the frame window centered at provided owner component.
`javax.swing.JInternalFrame` | `getErrorInternalFrame(java.awt.Component owner)` Creates new ErrorPane wrapped in the internal frame window centered at provided owner component.
`protected void` | `installComponents()` Creates and initializes the components which make up the aggregate combo box.
`protected void` | `installDefaults()` Installs the default colors, and default font into the Error Pane
`protected void` | `installListeners()` Create and install the listeners for the Error Pane.
`void` | `installUI(javax.swing.JComponent c)`
`protected void` | `reinit()` Reconfigures the dialog if settings have changed, such as the errorInfo, errorIcon, warningIcon, etc
`protected void` | `uninstallComponents()` The aggregate components which compise the combo box are unregistered and uninitialized.
`protected void` | `uninstallDefaults()` Uninstalls the default colors, and default font into the Error Pane.
`protected void` | `uninstallListeners()` Remove the installed listeners from the Error Pane.
`void` | `uninstallUI(javax.swing.JComponent c)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_NAME

    protected static final java.lang.String CLASS_NAME

  Used as a prefix when pulling data out of UIManager for i18n

  See Also:
    Constant Field Values

### pane

    protected JXErrorPane pane

  The error pane this UI is for

### errorMessage

    protected javax.swing.JEditorPane errorMessage

  Error message text area

### errorScrollPane

    protected javax.swing.JScrollPane errorScrollPane

  Error message text scroll pane wrapper.

### details

    protected JXEditorPane details

  details text area

### detailButton

    protected javax.swing.AbstractButton detailButton

  detail button

### closeButton

    protected javax.swing.JButton closeButton

  ok/close button

### iconLabel

    protected javax.swing.JLabel iconLabel

  label used to display the warning/error icon

### reportButton

    protected javax.swing.AbstractButton reportButton

  report an error button

### detailsPanel

    protected javax.swing.JPanel detailsPanel

  details panel

### detailsScrollPane

    protected javax.swing.JScrollPane detailsScrollPane

### copyToClipboardButton

    protected javax.swing.JButton copyToClipboardButton

### errorPaneListener

    protected java.beans.PropertyChangeListener errorPaneListener

  Property change listener for the error pane ensures that the pane's UI is reinitialized.

### detailListener

    protected java.awt.event.ActionListener detailListener

  Action listener for the detail button.

### copyToClipboardListener

    protected java.awt.event.ActionListener copyToClipboardListener

  Action listener for the copy to clipboard button.

Constructor Detail

### BasicErrorPaneUI

    public BasicErrorPaneUI()

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent c)

### installUI

    public void installUI(javax.swing.JComponent c)

  Overrides:
    `installUI` in class `javax.swing.plaf.ComponentUI`

### uninstallUI

    public void uninstallUI(javax.swing.JComponent c)

  Overrides:
    `uninstallUI` in class `javax.swing.plaf.ComponentUI`

### installDefaults

    protected void installDefaults()

  Installs the default colors, and default font into the Error Pane

### uninstallDefaults

    protected void uninstallDefaults()

  Uninstalls the default colors, and default font into the Error Pane.

### installListeners

    protected void installListeners()

  Create and install the listeners for the Error Pane. This method is called when the UI is installed.

### uninstallListeners

    protected void uninstallListeners()

  Remove the installed listeners from the Error Pane. The number and types of listeners removed and in this method should be the same that was added in `installListeners`

### installComponents

    protected void installComponents()

  Creates and initializes the components which make up the aggregate combo box. This method is called as part of the UI installation process.

### uninstallComponents

    protected void uninstallComponents()

  The aggregate components which compise the combo box are unregistered and uninitialized. This method is called as part of the UI uninstallation process.

### getErrorFrame

    public javax.swing.JFrame getErrorFrame(java.awt.Component owner)

  Description copied from class: `ErrorPaneUI`
  Creates new ErrorPane wrapped in the frame window centered at provided owner component.

  Specified by:
    `getErrorFrame` in class `ErrorPaneUI`
  Parameters:
    `owner` - component to center created error frame at.
  Returns:
    New ErrorPane instance wrapped in JFrame.

### getErrorDialog

    public javax.swing.JDialog getErrorDialog(java.awt.Component owner)

  Description copied from class: `ErrorPaneUI`
  Creates new ErrorPane wrapped in the dialog window centered at provided owner component.

  Specified by:
    `getErrorDialog` in class `ErrorPaneUI`
  Parameters:
    `owner` - component to center created error dialog at.
  Returns:
    New ErrorPane instance wrapped in JDialog.

### getErrorInternalFrame

    public javax.swing.JInternalFrame getErrorInternalFrame(java.awt.Component owner)

  Description copied from class: `ErrorPaneUI`
  Creates new ErrorPane wrapped in the internal frame window centered at provided owner component.

  Specified by:
    `getErrorInternalFrame` in class `ErrorPaneUI`
  Parameters:
    `owner` - component to center created error frame at.
  Returns:
    New ErrorPane instance wrapped in JInternalFrame.

### createErrorPaneLayout

    protected java.awt.LayoutManager createErrorPaneLayout()

  Create and return the LayoutManager to use with the error pane.

### createDetailPanelLayout

    protected java.awt.LayoutManager createDetailPanelLayout()

### calculatePreferredSize

    public java.awt.Dimension calculatePreferredSize()

  Description copied from class: `ErrorPaneUI`
  Calculates default prefered size for JXErrorPane on given platform/LAF.

  Specified by:
    `calculatePreferredSize` in class `ErrorPaneUI`
  Returns:
    Preferred size.

### getDetailsHeight

    protected int getDetailsHeight()

### configureReportAction

    protected void configureReportAction(AbstractActionExt reportAction)

### getDefaultErrorIcon

    protected javax.swing.Icon getDefaultErrorIcon()

  Returns:
    the default error icon

### getDefaultWarningIcon

    protected javax.swing.Icon getDefaultWarningIcon()

  Returns:
    the default warning icon

### configureDetailsButton

    protected void configureDetailsButton(boolean expanded)

### reinit

    protected void reinit()

  Reconfigures the dialog if settings have changed, such as the errorInfo, errorIcon, warningIcon, etc

### getDetailsAsHTML

    protected java.lang.String getDetailsAsHTML(ErrorInfo errorInfo)

  Creates and returns HTML representing the details of this incident info. This method is only called if the details needs to be generated: ie: the detailed error message property of the incident info is null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.